Name:           menulibre
Version:        2.2.0
Release:        6%{?dist}
Summary:        FreeDesktop.org compliant menu editor

License:        GPLv3
URL:            https://bluesabre.org/projects/menulibre/
Source0:        https://launchpad.net/menulibre/2.2/%{version}/+download/menulibre-%{version}.tar.gz

# menulibre.desktop fails validation due to unregistered entry "Budgie"
Patch0:         menulibre-desktop.patch

%if 0%{?rhel}
Patch1:         menulibre-python34.patch
%endif

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-distutils-extra
Requires:       gnome-menus
Requires:       gtk3
Requires:       python%{python3_pkgversion}-gobject
Requires:       python%{python3_pkgversion}-psutil

%description
MenuLibre is a graphical FreeDesktop.org compliant menu editor that lets you
edit menu entries.

%prep
%setup -q
%patch0

%if 0%{?rhel}
%patch1
%endif

%build

%install
%{__python3} setup.py install --root=%{buildroot}

# Remove hashbang line from non-executable library files
for lib in %{buildroot}%{python3_sitelib}/menulibre{,_lib}/*.py; do
    sed '1{\@^#!/usr/bin/python3@d}' $lib > $lib.new &&
    touch -r $lib $lib.new &&
    mv $lib.new $lib
done

desktop-file-validate %{buildroot}/%{_datadir}/applications/menulibre.desktop
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS PKG-INFO README
%license COPYING
%{_bindir}/menulibre
%{_bindir}/menulibre-menu-validate
%{_datadir}/applications/menulibre.desktop
%{_datadir}/icons/hicolor/16x16/apps/menulibre.svg
%{_datadir}/icons/hicolor/24x24/apps/menulibre.svg
%{_datadir}/icons/hicolor/32x32/apps/menulibre.svg
%{_datadir}/icons/hicolor/48x48/apps/menulibre.svg
%{_datadir}/icons/hicolor/64x64/apps/menulibre.svg
%{_datadir}/icons/hicolor/scalable/apps/menulibre.svg
%{_datadir}/menulibre/
%{_datadir}/pixmaps/menulibre.png
%{_mandir}/man1/menulibre.1.gz
%{_mandir}/man1/menulibre-menu-validate.1.gz
%{python3_sitelib}/menulibre
%{python3_sitelib}/menulibre_lib
%{python3_sitelib}/menulibre-%{version}-py%{python3_version}.egg-info

%if 0%{?rhel}
%exclude %{_docdir}/menulibre/
%endif

%changelog
* Sat Feb 09 2019 My Karlsson <mk@acc.umu.se> - 2.2.0-6
- Fix for reading menulibre-menu-validate output on el7

* Sun Feb 03 2019 My Karlsson <mk@acc.umu.se> - 2.2.0-5
- Build for epel7

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 2.2.0-2
- Rebuilt for Python 3.7

* Mon Mar 19 2018 My Karlsson <mk@acc.umu.se> - 2.2.0-1
- Update to upstream release 2.2.0

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Feb 05 2018 My Karlsson <mk@acc.umu.se> - 2.1.5-1
- Update to upstream release 2.1.5

* Sun Feb 04 2018 My Karlsson <mk@acc.umu.se> - 2.1.4-2
- Backport desktop detection fix

* Sun Jan 21 2018 My Karlsson <mk@acc.umu.se> - 2.1.4-1
- Update to upstream release 2.1.4

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.3-6
- Remove obsolete scriptlets

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.1.3-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.3-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sun Apr 10 2016 My Karlsson <mk@acc.umu.se> - 2.1.3-1
- Update to upstream release 2.1.3.

* Sun Mar 13 2016 My Karlsson <mk@acc.umu.se> - 2.1.2-4
- Fix a problem where adding a launcher and no directory was selected would
  emit a type error

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sat Oct 10 2015 My Karlsson <mk@acc.umu.se> - 2.1.2-1
- Update to 2.1.2

* Sun May 31 2015 My Karlsson <mk@acc.umu.se> - 2.0.6-1
- Initial build
